> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Requesting extra fields

export const Link = ({href, children, className, ...props}) => {
  const localizedHref = localizeLink(href);
  return <a href={localizedHref} className={className} {...props}>
      {children}
    </a>;
};

By default, the search API returns the **standard** format of a
<Link href="/reference/resources/file">File</Link>, <Link href="/reference/resources/folder">Folder</Link>, or <Link href="/reference/resources/web-link">Web Link</Link>. Each of
these resources supports additional fields that can be requested through the
`fields` query parameter.

<CodeGroup>
  ```sh cURL theme={null}
  curl -i -X GET "https://api.box.com/2.0/search?query=sales&fields=name,tags" \
      -H "Authorization: Bearer <ACCESS_TOKEN>"
  ```

  ```java Java theme={null}
  long offsetValue = 0;
  long limitValue = 10;

  BoxSearch boxSearch = new BoxSearch(api);
  BoxSearchParameters searchParams = new BoxSearchParameters();
  searchParams.setQuery("sales");

  final List<String> fields = new ArrayList<String>();
  fields.add("name");
  fields.add("tags");
  searchParams.setFields(fields)

  PartialCollection<BoxItem.Info> searchResults = boxSearch.searchRange(offsetValue, limitValue, searchParams);
  ```

  ```csharp .NET theme={null}
  IEnumerable<string> fields = new List<string>() { "name", "tags"};
  BoxCollection<BoxItem> results = await client.SearchManager
      .QueryAsync("sales", fields: fields);
  ```

  ```python Python theme={null}
  client.search().query("sales", metadata_filters=metadata_search_filters, fields=["name", "tags"])
  ```

  ```js Node theme={null}
  client.search.query(
      'sales',
      {
          fields: "name,tags"
      })
      .then(results => {
          // ...
      });
  ```
</CodeGroup>

<Info>
  For more details on these fields, please check out the
  <Link href="/reference/resources/file--full">full File</Link>, <Link href="/reference/resources/folder--full">full Folder</Link>,
  and <Link href="/reference/resources/web-link">full Web Link</Link> resources.
</Info>

<Warning>
  When the `fields` parameter is used to query additional information about the
  items, only those fields and a few **base** fields (`id`, `type`, `name`, etc)
  are returned. Any fields that were originally in the response would now have to
  be requested explicitly.
</Warning>
